// src/identity/anonymous/use-anonymous-identity.tsx
import { useMemo } from "react";
var onSignerlessFramePress = () => Promise.resolve();
var logout = () => Promise.resolve();
var signer = {};
var signFrameAction = (actionContext) => {
  const searchParams = new URLSearchParams({
    postType: actionContext.type === "tx-post" ? "post" : actionContext.frameButton.action,
    postUrl: actionContext.target ?? "",
    specification: "openframes"
  });
  return Promise.resolve({
    body: {
      untrustedData: {
        buttonIndex: actionContext.buttonIndex,
        state: actionContext.state,
        url: actionContext.url,
        inputText: actionContext.inputText,
        address: actionContext.type === "tx-data" || actionContext.type === "tx-post" ? actionContext.address : void 0,
        transactionId: actionContext.type === "tx-post" ? actionContext.transactionId : void 0,
        unixTimestamp: Date.now()
      },
      clientProtocol: "anonymous@1.0"
    },
    searchParams
  });
};
function useAnonymousIdentity() {
  return useMemo(() => {
    return {
      specification: "openframes",
      hasSigner: true,
      onSignerlessFramePress,
      signer,
      isLoadingSigner: false,
      logout,
      signFrameAction,
      withContext(frameContext) {
        return {
          signerState: this,
          frameContext
        };
      }
    };
  }, []);
}

export {
  useAnonymousIdentity
};
