import { ParseFramesWithReportsResult, ParseResult } from 'frames.js/frame-parsers';
import { ComposerActionFormResponse } from 'frames.js/types';
import { PartialFrame } from './ui/types.cjs';
import 'frames.js';
import 'react';
import './types-UBxj8iVV.cjs';
import './unstable-types.cjs';

declare function tryCallAsync<TResult>(promiseFn: () => Promise<TResult>): Promise<TResult | Error>;
declare function tryCall<TReturn>(fn: () => TReturn): TReturn | Error;
declare function isParseFramesWithReportsResult(value: unknown): value is ParseFramesWithReportsResult;
declare function isParseResult(value: unknown): value is ParseResult;
type ParseResultWithPartialFrame = Omit<Exclude<ParseResult, {
    status: "success";
}>, "frame"> & {
    frame: PartialFrame;
};
declare function isPartialFrame(value: ParseResult): value is ParseResultWithPartialFrame;
declare function isComposerFormActionResponse(response: unknown): response is ComposerActionFormResponse;
/**
 * Merges all search params in order from left to right into the URL.
 *
 * @param url - The URL to merge the search params into. Either fully qualified or path only.
 */
declare function mergeSearchParamsToUrl(url: string, ...searchParams: URLSearchParams[]): string;

export { type ParseResultWithPartialFrame, isComposerFormActionResponse, isParseFramesWithReportsResult, isParseResult, isPartialFrame, mergeSearchParamsToUrl, tryCall, tryCallAsync };
