import { B as FramesStackItem, A as FrameStackMessage, z as FrameStackRequestError, x as FrameStackDone, G as GetFrameResult } from '../types-UBxj8iVV.js';
import { FramesStackItem as FramesStackItem$1, FrameStackMessage as FrameStackMessage$1, FrameStackRequestError as FrameStackRequestError$1 } from '../unstable-types.js';
import { PartialFrame } from './types.js';
import 'frames.js';
import 'react';
import 'frames.js/frame-parsers';
import 'frames.js/types';

type FrameResultFailure = Exclude<GetFrameResult, {
    status: "success";
}>;
type FrameStackItemWithPartialFrame = Omit<FrameStackDone, "frameResult"> & {
    frameResult: Omit<FrameResultFailure, "frame"> & {
        frame: PartialFrame;
    };
};
declare function isPartialFrameStackItem(stackItem: FramesStackItem | FramesStackItem$1): stackItem is FrameStackItemWithPartialFrame;
declare function getErrorMessageFromFramesStackItem(item: FrameStackMessage | FrameStackRequestError | FrameStackMessage$1 | FrameStackRequestError$1): string;

export { getErrorMessageFromFramesStackItem, isPartialFrameStackItem };
